For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all environments
      • POSTCreates a new environment
      • POSTValidates if an environment name exists
      • PUTUpdates an environment by name
      • GETGet the environment with `name`
      • DELDeletes an environment by name
      • POSTClones an environment
      • GETGet the environments available to a project
      • PUTUpdate environment sort orders
      • POSTToggle the environment with `name` on
      • POSTToggle the environment with `name` off

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIEnvironments

Get the environments available to a project

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/environments/project/:projectId
GET
/api/admin/environments/project/:projectId
$curl https://app.unleash-instance.example.com/api/admin/environments/project/projectId \
> -H "Authorization: <apiKey>"
1{
2 "version": 1,
3 "environments": [
4 {
5 "name": "development",
6 "type": "production",
7 "enabled": true,
8 "protected": false,
9 "sortOrder": 1,
10 "projectApiTokenCount": 5,
11 "projectEnabledToggleCount": 7,
12 "defaultStrategy": {
13 "name": "flexibleRollout",
14 "id": "6b5157cb-343a-41e7-bfa3-7b4ec3044840",
15 "title": "Gradual Rollout 25-Prod",
16 "disabled": false,
17 "featureName": "myAwesomeFeature",
18 "sortOrder": 9999,
19 "segments": [
20 1,
21 2
22 ],
23 "constraints": [
24 {
25 "contextName": "appName",
26 "operator": "IN",
27 "caseInsensitive": false,
28 "inverted": false,
29 "values": [
30 "my-app",
31 "my-other-app"
32 ],
33 "value": "my-app"
34 }
35 ],
36 "variants": [
37 {
38 "name": "blue_group",
39 "weight": 1,
40 "weightType": "fix",
41 "stickiness": "custom.context.field",
42 "payload": {
43 "type": "json",
44 "value": "{\"color\": \"red\"}"
45 }
46 }
47 ],
48 "parameters": {}
49 },
50 "visible": true,
51 "requiredApprovals": 3
52 }
53 ]
54}
Gets the environments that are available for this project. An environment is available for a project if enabled in the [project configuration](https://docs.getunleash.io/concepts/environments#enable-an-environment)
Was this page helpful?
Previous

Update environment sort orders

Next
Built with

Gets the environments that are available for this project. An environment is available for a project if enabled in the project configuration

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Response

environmentsProjectSchema
versioninteger
Version of the environments schema
environmentslist of objects
List of environments

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error